### Struct

# AdwBreakpointCondition

since: 1.4

#### Description [src]

    struct AdwBreakpointCondition {
      /* No available fields */
    }

Describes condition for an `AdwBreakpoint`.

Available since: 1.4

#### Constructors

###### adw_breakpoint_condition_new_and

Creates a condition that triggers when `condition_1` and `condition_2` are both true.

since: 1.4

###### adw_breakpoint_condition_new_length

Creates a condition that triggers on length changes.

since: 1.4

###### adw_breakpoint_condition_new_or

Creates a condition that triggers when either `condition_1` or `condition_2` is true.

since: 1.4

###### adw_breakpoint_condition_new_ratio

Creates a condition that triggers on ratio changes.

since: 1.4

#### Functions

###### adw_breakpoint_condition_parse

Parses a condition from a string.

since: 1.4

#### Instance methods

###### adw_breakpoint_condition_copy

Copies `self`.

since: 1.4

###### adw_breakpoint_condition_free

Frees `self`.

since: 1.4

###### adw_breakpoint_condition_to_string

Returns a textual representation of `self`.

since: 1.4